Subject: Re: git version not changed after installing new version

From: Thomas Rast <[email-masked]>
Date: Wed, 25 Jan 2012 18:03:18 +0100

freefly <[email-masked]> writes:

> Hi all,
>     I am new to Mac OS X lion and I had a previous installation of XCODE 4.2
> on my mac mini. It has a git version 1.7.5.4. I installed a new version 1.7.8.4.
> and updated the Path variables by running the script comes with the 
> package as well. but when I type "git --version" in the terminal 
> I get 1.7.5.4. Can anyone tell me what is going wrong ?

Enter 'which git' in a terminal.  The 'which' utility looks up which
executable from $PATH will be run if you use 'git' (in this case) as a
command word, i.e., without specifying its path.

This should point to your newly installed git.  It probably doesn't, and
you can compare it and your $PATH (try: 'echo "$PATH"' in a terminal) to
see why.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch